# vim: syntax=spec

# git_dir_name returns repository name derived from remote Git repository URL
Name:		libdecsync

# pc_version gets the version number from the package config file
Version:	2.0.1


# Basic description of the package
Summary:	library for DecSync

# This can be useful later for adding downstream patches
Release:	0%{?dist}

# License. We assume GPLv2+ here.
License:	GPLv2+

# Home page of the project. Can also point to the public Git repository page.
URL:		https://github.com/39aldo39/libdecsync

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:		git+https://github.com/theotheroracle/libdecsync.git#2b35e26a807913024bd9f6e4dd7b206bdd4c0750:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:		libdecsync-.tar.gz

# This is a list of packages required for building the program.
BuildRequires:	make
BuildRequires:	java-1.8.0-openjdk-headless
BuildRequires:	ncurses-compat-libs

# More detailed description of the package
%description
libdecsync is a multiplatform library for synchronizing using DecSync.

# The following four sections already describe the rpm build process itself.
# prep will extract the tarball defined as Source above and descend into it.
%prep
%setup -q -n libdecsync-

# This will copy the files generated by the `make` command above into
# the installable rpm package.
%install
make install DESTDIR=%{buildroot} libdir=%_libdir

# This lists all the files that are included in the rpm package and that
# are going to be installed into target system where the rpm is installed.
%files
%_includedir/libdecsync.h
%_includedir/libdecsync_api.h
%_libdir/libdecsync.so
%_datadir/pkgconfig/decsync.pc

# Finally, changes from the latest release of your application are generated from
# your project's Git history. It will be empty until you make first annotated Git tag.
%changelog
* Wed Jun 02 2021 Bit <theotheroracle@disroot.org> 1.9.0-0
Added rpkg build support
